## org.apache.batik.dom.svg
Class SVGOMAnimatedEnumeration

    java.lang.Object
      org.apache.batik.dom.svg.SVGOMAnimatedEnumeration

All Implemented Interfaces:
  LiveAttributeValue, SVGAnimatedEnumeration

public class SVGOMAnimatedEnumeration
extends java.lang.Object
implements SVGAnimatedEnumeration, LiveAttributeValue

This class provides an implementation of the `SVGAnimatedEnumeration` interface.

Field Summary
`protected short` `defaultValue` The default value, if the attribute is not specified.
`protected AbstractElement` `element` The associated element.
`protected java.lang.String` `localName` The attribute's local name.
`protected java.lang.String` `namespaceURI` The attribute's namespace URI.
`protected java.lang.String[]` `values` The values in this enumeration.

Constructor Summary
`SVGOMAnimatedEnumeration(AbstractElement elt, java.lang.String ns, java.lang.String ln, java.lang.String[] val, short def)` Creates a new SVGOMAnimatedEnumeration.

Method Summary
`void` `attrAdded(org.w3c.dom.Attr node, java.lang.String newv)` Called when an Attr node has been added.
`void` `attrModified(org.w3c.dom.Attr node, java.lang.String oldv, java.lang.String newv)` Called when an Attr node has been modified.
`void` `attrRemoved(org.w3c.dom.Attr node, java.lang.String oldv)` Called when an Attr node has been removed.
`short` `getAnimVal()` DOM: Implements `SVGAnimatedEnumeration.getAnimVal()`.
`short` `getBaseVal()` DOM: Implements `SVGAnimatedEnumeration.getBaseVal()`.
`void` `setBaseVal(short baseVal)` DOM: Implements `SVGAnimatedEnumeration.setBaseVal(short)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### element

    protected AbstractElement element

  The associated element.

### namespaceURI

    protected java.lang.String namespaceURI

  The attribute's namespace URI.

### localName

    protected java.lang.String localName

  The attribute's local name.

### values

    protected java.lang.String[] values

  The values in this enumeration.

### defaultValue

    protected short defaultValue

  The default value, if the attribute is not specified.

Constructor Detail

### SVGOMAnimatedEnumeration

    public SVGOMAnimatedEnumeration(AbstractElement elt,
                                    java.lang.String ns,
                                    java.lang.String ln,
                                    java.lang.String[] val,
                                    short def)

  Creates a new SVGOMAnimatedEnumeration.

Parameters:
  `elt` - The associated element.
  `ns` - The attribute's namespace URI.
  `ln` - The attribute's local name.
  `val` - The values in this enumeration.
  `def` - The default value to use.

Method Detail

### getBaseVal

    public short getBaseVal()

  DOM: Implements `SVGAnimatedEnumeration.getBaseVal()`.

  Specified by:
    `getBaseVal` in interface `SVGAnimatedEnumeration`

### setBaseVal

    public void setBaseVal(short baseVal)
                    throws org.w3c.dom.DOMException

  DOM: Implements `SVGAnimatedEnumeration.setBaseVal(short)`.

  Specified by:
    `setBaseVal` in interface `SVGAnimatedEnumeration`
  Throws:
    `org.w3c.dom.DOMException`

### getAnimVal

    public short getAnimVal()

  DOM: Implements `SVGAnimatedEnumeration.getAnimVal()`.

  Specified by:
    `getAnimVal` in interface `SVGAnimatedEnumeration`

### attrAdded

    public void attrAdded(org.w3c.dom.Attr node,
                          java.lang.String newv)

  Called when an Attr node has been added.

  Specified by:
    `attrAdded` in interface `LiveAttributeValue`

### attrModified

    public void attrModified(org.w3c.dom.Attr node,
                             java.lang.String oldv,
                             java.lang.String newv)

  Called when an Attr node has been modified.

  Specified by:
    `attrModified` in interface `LiveAttributeValue`

### attrRemoved

    public void attrRemoved(org.w3c.dom.Attr node,
                            java.lang.String oldv)

  Called when an Attr node has been removed.

  Specified by:
    `attrRemoved` in interface `LiveAttributeValue`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.